[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / AppSources

# Interface: AppSources

[types/app-spec](../modules/types_app_spec.md).AppSources

The TEAL source of a contract

## Table of contents

### Properties

- [approval](types_app_spec.AppSources.md#approval)
- [clear](types_app_spec.AppSources.md#clear)

## Properties

### approval

• **approval**: `string`

The TEAL source of the approval program

#### Defined in

[src/types/app-spec.ts:163](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L163)

___

### clear

• **clear**: `string`

The TEAL source of the clear program

#### Defined in

[src/types/app-spec.ts:165](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L165)
